------------------------------------------------------------------------------------
--Name：            201229[简体征服][活动脚本]全球春节活动-三个副本
--Creator:      江宇君
--Created:     2020-12-29
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>108


-- 设置摄像机指向位置(网格坐标);
CppScriptMgr:SetViewPosByCell(538,221);
------------------------------------------------------------
local player1 = CppScriptMgr:AddSimplePlayer(34340, 538,221, "Fortune", 400300001,1);
CppScriptMgr:AddEffect("CSGX_hong",538,221);
player1:AddEffect("accession")
local player2 = CppScriptMgr:AddSimplePlayer(34350, 186,567, "Prosperity", 400300002,1);
CppScriptMgr:AddEffect("CSGX_jin",186,567);
local player3 = CppScriptMgr:AddSimplePlayer(34360, 163,653, "Longevity", 400300003,1);
CppScriptMgr:AddEffect("CSGX_zi",163,653);

local player4  = CppScriptMgr:AddSimplePlayer(1063874, 535,227, "Shen Laifu", 400300004,1);
player4:SetDir(4);
local player5  = CppScriptMgr:AddSimplePlayer(1054624, 539,227, "Su Bifu", 400300005,1);
local player6  = CppScriptMgr:AddSimplePlayer(1054754, 543,227, "Lin Haoli", 400300006,1);

local player7  = CppScriptMgr:AddSimplePlayer(1058955, 179,568, "Peter", 400300007,1);
local player8  = CppScriptMgr:AddSimplePlayer(1059064, 183,572, "Gu Danggui", 400300008,1);
local player9  = CppScriptMgr:AddSimplePlayer(1058944, 187,575, "Alice", 400300009,1);
player8:SetDir(4);

local player10  = CppScriptMgr:AddSimplePlayer(1054330, 168,648, "Jerk Wang", 4003000010,1);
local player11  = CppScriptMgr:AddSimplePlayer(1054322, 171,654, "General Chen", 4003000011,1);
local player12  = CppScriptMgr:AddSimplePlayer(1056063, 171,659, "Charlie", 4003000012,1);
player11:SetDir(2);
player12:SetDir(3);





--半身
CppScriptMgr:NpcCallOut("This Auspicious Light will bring you auspiciousness!", 8500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc25784", 150, 430, "[Auspicious Spring] God of Happiness", 250, 655)
CppScriptMgr:WaitMilSec(1000);




player4:Say("Please help my child pass the examination successfully.",1500);
player4:SetAction(200)
CppScriptMgr:WaitMilSec(1000);

player5:Say("I want a river of gold flowing into my pockets!#12",1500);
player5:SetAction(200)
CppScriptMgr:WaitMilSec(1000);

player6:Say("I wish to meet my Mr.Right this year.#11",1500);
player6:SetAction(200)
CppScriptMgr:WaitMilSec(2000);


--镜头2
CppScriptMgr:SetViewPosByCell(186,567);
player2:AddEffect("coattryon")
--半身
CppScriptMgr:NpcCallOut("Pray to the Prosperity Light to have a successful career.", 8500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc25784", 150, 430, "[Auspicious Spring] God of Happiness", 250, 655)
CppScriptMgr:WaitMilSec(1000);


player7:Say("Wow! I will be rich!#10",1500);
player7:SetAction(150)
CppScriptMgr:WaitMilSec(1000);

player8:Say("I am so lucky to see the light!",1500);
player8:SetAction(180)
CppScriptMgr:WaitMilSec(1000);

player9:Say("Is there anything in the light?",1500);
player9:SetAction(190)
CppScriptMgr:WaitMilSec(2000);

--镜头3
CppScriptMgr:SetViewPosByCell(163,653);
player3:AddEffect("zf2-e128")
--半身
CppScriptMgr:NpcCallOut("Pray to the Longevity Light to live to a ripe old age.", 8500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc25784", 150, 430, "[Auspicious Spring] God of Happiness", 250, 655)
CppScriptMgr:WaitMilSec(1000);



player10:Say("Go away! What are you looking at?#09",1500);
CppScriptMgr:WaitMilSec(1000);

player11:Say("You had better curb your curiosity!",1500);
CppScriptMgr:WaitMilSec(1000);

player12:Say("Shhh. There are treasures in it.",1500);
CppScriptMgr:WaitMilSec(2000);




